<?php

use Illuminate\Routing\Router;

Admin::routes();

Route::group([
    'prefix'        => config('admin.route.prefix'),
    'namespace'     => config('admin.route.namespace'),
    'middleware'    => config('admin.route.middleware'),
    'as'            => config('admin.route.prefix') . '.',
], function (Router $router) {
    $router->get('/', 'HomeController@index')->name('home');
    $router->get('/api/getCity', 'ApiController@getCity');
    $router->get('/api/getArea', 'ApiController@getArea');
    $router->resource('/cdms_user', CdmsController::class);
    $router->resource('/organizations', OrganizationController::class);
    $router->resource('/docters', DocterController::class);
    $router->resource('/docters_approve', ApproveController::class);
    $router->resource('banners', BannerController::class);
    $router->resource('servebanners', ServebannerController::class);
    //文章管理
    $router->resource('articles', ArticleController::class);
    //疫苗管理
    $router->resource('vaccines', VaccinesController::class);
    $router->resource('docters_management', DoctorManagementController::class);
    $router->resource('users', UserListController::class);
    $router->resource('user_patients', UserPatientsController::class);

    $router->resource('service_applys',ServiceapplysController::class);
    //电话咨询认证
    $router->resource('phone_service_cc',PhoneServiceCCController::class);
    //图文咨询认证
    $router->resource('reply_service_cc',ReplySevriceCCController::class);
    //门诊咨询认证
    $router->resource('outpatient_service_cc',OutpatientServiceCCController::class);

    $router->resource('/setting', 'Config\ConfigController');
    $router->get('/setting_form', 'Config\FormController@form');
    $router->post('/setting_form_save', 'Config\FormController@setting_form_save');

    $router->resource('user_orders', UserServiceController::class);
    $router->resource('user_balance_logs', UserBalanceLogController::class);

    //用户管理->优惠券管理
    $router->resource('user_coupons', UserCouponsController::class);
    //用户管理->病例意见单
    $router->resource('user_suggests', UserSuggestsController::class);
    //评价管理
    $router->resource('evaluates', UserEvaluatesController::class);
    //职称类别
    $router->resource('qualifications', QualificationsController::class);
    //医生管理->签约管理
    $router->resource('sign_up', SignUpController::class);
    //医生管理->团队管理
    $router->resource('docter_team', DocterTeamController::class);
    //订单管理->咨询订单
    $router->resource('consulting_orders', ConsultingOrdersController::class);
    //订单管理->咨询订单->订单详情
    $router->resource('consulting_orders_details', ConsultingOrdersDetailsController::class);
});

